body{
  background-color: #0c2e32;
}
.sidenav {
  background-color: rgb(11, 44, 49);
}

.carousel-control-next,
.carousel-control-prev {
  width: 2%;
}

.real-time-alert,
.bg-lightblue {
  background: #0cbcb9 !important;
}

.eclipse {
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: -1;
}

.card-primary.card-outline {
  border-color: #0cbcb9;
}

.dropdown-menu {
  background-color: rgb(13, 66, 70) !important;
  /* Dark palette color */
  color: white;
  /* Text color */
  width: 100%;
}

.dropdown-menu .dropdown-item {
  color: white !important;
}

.dropdown-menu .dropdown-item:hover {
  background-color: #14494f !important;
  /* Darker hover color */
}

/* Custom CSS */

input#document_search {
  width: 100%;
  border: 1px solid #0f0e0e;
  height: 35px;
  border-radius: 13px;
  padding: 5px;
}

.document-global-search {
  width: 90%;
  float: left;
}

.document-result-box {
  margin-top: 20px;
}

.accordion-button:not(.collapsed) {
  background-color: #17a2b8 !important;
}

.vehicle-search-btn {
  padding: 6px 10px !important;
  font-size: 17px !important;
  border-radius: 10px !important;
}

.accordion-item .vehicle_data {
  overflow: scroll;
}

.accordion-side-menu {
  width: 25%;
  background: #f8f9fa;
  padding: 5px 0;
  display: flex;
  flex-direction: column;
  float: left;
  position: sticky;
  top: 20px;
}

.accordion-side-menu a {
  padding: 12px 18px;
  text-decoration: none;
  color: #333;
  font-size: 15px;
  background: #ffffff;
  border: 2px solid #cfd8dc;
  border-radius: 6px;
  transition: 0.3s ease;
  display: block;
}

.accordion-side-menu a:hover {
  border-color: #17a2b8;
  background: #e7f1ff;
  color: #17a2b8;
}

.accordion-side-menu a.active {
  background: #17a2b8;
  border-color: #17a2b8;
  color: white;
}

div#accordionExample {
  width: 70% !important;
  float: right;
}

.accordion-item.vehicle-data {
  overflow: scroll;
}

.btn-primary,
.btn-primary.focus,
.btn-primary:focus {
  background-color: #0cbcb9;
  border-color: #0cbcb9;
}

/* .btn-primary:hover {
  background-color: #0b2c31;
  border-color: #0b2c31;
} */

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
  background-color: #0b2c31;
  border-color: #0b2c31;
}

.sidebar-dark-primary .nav-sidebar>.nav-item>.nav-link.active,
.sidebar-light-primary .nav-sidebar>.nav-item>.nav-link.active {
  background-color: #0bbcb9;
}
.nav-sidebar>.nav-item .nav-icon{font-size: 1rem;}
.logo-sm {
  display: none;
}

.sidebar-collapse .logo-sm {
  display: inline-block;
  vertical-align: top;
}

.sidebar-collapse .logo .logo-text{
  display: none;
}

.sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .logo,
.sidebar-mini.sidebar-collapse .main-sidebar:hover .logo {
  display: inline-block;
  vertical-align: top;
}

.sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .logo-sm,
.sidebar-mini.sidebar-collapse .main-sidebar:hover .logo-sm {
  display: none;
}

.sidebar-collapse #signOutButton {
  justify-content: center !important;
  padding-left: var(--space-2) !important;
  padding-right: var(--space-2) !important;
}

.sidebar-collapse #signOutButton .signout-text {
  display: none;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
  background-color: rgb(13, 66, 70);
}

.nav-sidebar>.nav-item,
.dropdown-menu .dropdown-item {
  font-size: 14px;
}

.carousel-control-next,
.carousel-control-prev {
  display: none;
}

.access-wrapper {
  /*height: calc(100vh - 270px) !important;*/
  /* background: url(../img/fr-screen.jpg) no-repeat; */
  background-size: cover;
  padding: 50px 30px;
  position: relative;
  color: #fff;
}

.col-wrapper {
  grid-template-columns: repeat(2, 1fr);
  width: 100%;
  display: grid;
  gap: 16px;
  flex-direction: column;
  -webkit-box-align: center;
  align-items: center;
}

.access-wrapper .heading-xl {
  font-size: clamp(20px, 64px, 4.7vw);
  font-weight: 600;
  line-height: 1.2
}

.sub-heading {
  font-size: clamp(16px, 30px, 2vw);
  line-height: 1.4;
}

.fs-lg {
  font-size: 32px;
}

.fw-600 {
  font-weight: 600
}

#fullscreenBtn {
  position: absolute;
  right: 5px;
  bottom: 5px;
  z-index: 9;
}

.monitor-footer {
  display: none;
  position: absolute;
  left: 0;
  width: 100%;
  bottom: 10px;
  font-size: 16px;
  font-weight: 500;
  gap: 16px;
}

.rounded-shap {
  width: 100%;
  max-width: 500px;
  aspect-ratio: 1 / 1;
  position: relative;
  z-index: 1;
}

/* Animated glowing ring */
.rounded-shap::before {
  content: "";
  position: absolute;
  inset: -4px;
  border-radius: 50%;
  background: conic-gradient(#00ffff,
      #3498db,
      #00ffff,
      #3498db,
      #00ffff);
  animation: rotate 4s linear infinite;
  z-index: -1;
  display: none;
}

/* Inner background to hide center overflow */
.rounded-shap::after {
  content: "";
  position: absolute;
  inset: 3px;
  border-radius: 50%;
  background: #004656;
  z-index: -1;
  display: none;
}

#welcomeScreen .rounded-shap::before,
#welcomeScreen .rounded-shap::after {
  display: block;
}

/* Rotation animation */
@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

.gradient-bg {
  width: 100%;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  background: radial-gradient(120% 140% at -10% 120%, #2aa9ff 2.6%, #074bbd 33%, #072254 100%);
  position: relative;
  z-index: 1;
  justify-content: center;
  padding: 5px 0 20px;
}

.css-8wdn1s {
  position: absolute;
  inset: 0px;
  background-image: linear-gradient(rgba(255, 255, 255, 0.1) 1px, transparent 1px), linear-gradient(90deg, rgba(255, 255, 255, 0.1) 1px, transparent 1px);
  background-size: 40px 40px;
  pointer-events: none;
}

.heading-xlg {
  font-size: clamp(20px, 65px, 4.8vw);
  font-weight: 600;
  line-height: 1.2
}

.sub-heading {
  font-size: clamp(16px, 30px, 2vw);
  line-height: 1.4
}

.welcome-screen {
  width: 100%;
  max-width: 1200px;
}

.welcome-text {
  font-size: clamp(20px, 65px, 4.8vw);
  font-weight: 600;
  line-height: 1.2
}

.welcome-text span {
  font-size: 4vw;
  font-style: italic;
  line-height: normal;
}

.rounded-shap img {
  width: 100%;
  height: 100%;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  top: 0;
  padding: 5px;
  border-radius: 50%
}

.devider {
  height: 1px;
  background: rgba(255, 255, 255, 0.3);
}

.is-fullscreen .rounded-shap {
  margin-right: 5vw;
}

.poweredby {
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  display: none;
}

.is-fullscreen .poweredby {
  display: block !important;
}

.uploaded-image,
.search-result {
  width: 300px;
  height: 300px;
  background: url(../img/face-access1.png);
  background-size: 100% 100%;
  border-radius: 50%;
  overflow: hidden;
  display: inline-block;
  border: 1px solid #ccc;
}

.uploaded-image img,
.search-result img,
.uploaded-image #camera {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center top;
}

.search-result {
  width: 150px;
  height: 150px;
  margin: 0 5px 10px;
}

.or {
  position: relative;
  margin: 10px 0
}

.or:after {
  content: " ";
  position: absolute;
  width: 100%;
  height: 1px;
  background: #ccc;
  left: 0;
  top: 12px;
  z-index: 0;
}

.or span {
  background: #fff;
  padding: 0 5px;
  position: relative;
  z-index: 1
}

.btn-success-light {
  background: #20c997
}

.btn-danger-light {
  background: #dc3545
}

.width-400 {
  max-width: 450px;
  margin: auto;
}

.left-outer {
  width: 85%;
  max-width: 480px;
  aspect-ratio: 1 / 1;
  padding: 20px;
  position: relative;
  margin: 0 auto;
}

.monitor-main {
  max-width: 1500px;
  width: 100%;
  box-sizing: border-box;
  margin: 0 auto;
  padding: 0 10px 10px;
}

.screen-inner {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  flex-direction: column;
  -webkit-box-align: center;
  align-items: center;
  width: 100%;
  display: grid;
  gap: 16px;
}

.monitor-circle {
  width: 100%;
  padding: 20px;
  position: relative
}

.skelton-img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
}

.monitor-circle {
  height: 100%;
  border-radius: 50%
}

.left-outer:after,
.left-outer:before,
.monitor-circle:after,
.monitor-circle:before {
  content: "";
  position: absolute;
  width: 50px;
  height: 50px
}

.left-outer:after,
.left-outer:before {
  top: 0
}

.monitor-circle:after,
.monitor-circle:before {
  bottom: -20px
}

.left-outer:before {
  left: 0;
  border-top: 5px solid #67e2ef;
  border-left: 5px solid #67e2ef
}

.left-outer:after {
  right: 0;
  border-top: 5px solid #67e2ef;
  border-right: 5px solid #67e2ef
}

.monitor-circle:before {
  left: -20px;
  border-bottom: 5px solid #67e2ef;
  border-left: 5px solid #67e2ef
}

.monitor-circle:after {
  right: -20px;
  border-bottom: 5px solid #67e2ef;
  border-right: 5px solid #67e2ef
}

.dashed-circle {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: url(../img/dashed-circle.svg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: 50%;
  padding: 15%
}

.animated-bar {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: rgba(103, 226, 239, .1);
  animation: stripMove 2s linear infinite alternate
}

@keyframes stripMove {
  0% {
    height: 0
  }

  to {
    height: 100%
  }
}

.progress-roundbar {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  transform-origin: center;
  transform: translateZ(0);
  -webkit-transform: translateZ(0);
  border: 5px solid #67e2ef;
  border-bottom-color: transparent;
  border-radius: 50%;
  animation: rotateRing 10s linear infinite
}

@keyframes rotateRing {
  0% {
    transform: rotate(0deg)
  }

  to {
    transform: rotate(1turn)
  }
}

@media (max-width: 900px) {
  .monitor-circle {
    padding: 10px;
  }

  .left-outer:before {
    border-top: 3px solid #67e2ef;
    border-left: 3px solid #67e2ef
  }

  .left-outer:after {
    border-top: 3px solid #67e2ef;
    border-right: 3px solid #67e2ef
  }

  .monitor-circle:before {
    border-bottom: 3px solid #67e2ef;
    border-left: 3px solid #67e2ef
  }

  .monitor-circle:after {
    border-bottom: 3px solid #67e2ef;
    border-right: 3px solid #67e2ef
  }

  .progress-roundbar {
    border-width: 3px;
  }
}
.main-sidebar, .main-sidebar::before {  
    width: 210px;
}
.nav-link{padding: .5rem;}
@media (max-width: 600px) {
  .screen-inner {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (min-width: 768px) {
    body:not(.sidebar-mini-md) .content-wrapper, body:not(.sidebar-mini-md) .main-footer, body:not(.sidebar-mini-md) .main-header {
        transition: margin-left .3s ease-in-out;
        margin-left: 210px;
    }
}
@media (min-width: 992px) {
  .sidebar-mini.sidebar-collapse.layout-fixed .brand-link{
     height: 3.7rem;
  }
   .navbar-expand{display: none;}
    .sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused, .sidebar-mini.sidebar-collapse .main-sidebar:hover {
        margin-left: 0;
        width: 4.6rem;
       
    }
    .sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .brand-text, .sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .logo-xl, .sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .nav-sidebar .nav-link p, .sidebar-mini.sidebar-collapse .main-sidebar.sidebar-focused .user-panel>.info, .sidebar-mini.sidebar-collapse .main-sidebar:hover .brand-text, .sidebar-mini.sidebar-collapse .main-sidebar:hover .logo-xl, .sidebar-mini.sidebar-collapse .main-sidebar:hover .nav-sidebar .nav-link p, .sidebar-mini.sidebar-collapse .main-sidebar:hover .user-panel>.info{visibility: hidden;}
    
}
@media (max-width: 991px) {
  .navbar-expand{
    display: block;
  }
}